<?php
  if(!isset($_COOKIE['nazwa']) && !isset($_GET['nazwa'])){
    include "header.html";
    include "form.html";
    include "footer.html";
  }
  else if(isset($_GET['nazwa'])){
    //W tym miejscu warto dodać instrukcje weryfikujące poprawność danych
    setcookie("nazwa", $_GET['nazwa'], time() + 60 * 60 * 24 * 365);
    include "header.html";
    echo "<p>Dziękujemy za podanie danych.</p>";
    echo "<p><a href=\"index.php\">Powrót do strony głównej</a></p>";
    include "footer.html";
  }
  else{
    //W tym miejscu warto dodać instrukcje weryfikujące poprawność danych
    include "header.html";
    echo "Witamy, zostałeś rozpoznany jako {$_COOKIE['nazwa']}.";
    include "footer.html";
  }
?>
